Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1814556 - Sound is not coming out on connected bluetooth device
Summary: Sound is not coming out on connected bluetooth device
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 32
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-18 08:57 UTC by andy
Modified: 2021-05-25 17:36 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 17:36:29 UTC
Type: Bug


Attachments (Terms of Use)

Description andy 2020-03-18 08:57:22 UTC
Description of problem:
I've noticed in F32 that when changing output device from internal speakers to my bluetooth headset (Sony WH-1000XM2) sound is still coming from internal speakers, also the headset does not get automatically switched to either as the current sound device after it has been connected.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Go to Settings -> Sound -> Output
2. Select Headset - WH-1000XM2 (in my case)
3. Click Test. Sound is coming from internal speakers.

Actual results:
Sound is output to internal speakers instead of bluetooth headset.

Expected results:
All sound should be output to bluetooth headset if it is connected.


Additional info:
If I click in the top right bar and select different volumes (headset icon showing) I hear the sound in my bluetooth headset.

Name         : pulseaudio
Version      : 13.99.1
Release      : 1.fc32

---

journalctl reports the following when connecting the headset, it looks like it's detected as a keyboard?:

 /usr/libexec/gdm-x-session[1988]: (II) config/udev: Adding input device WH-1000XM2 (AVRCP) (/dev/input/event17)
 /usr/libexec/gdm-x-session[1988]: (**) WH-1000XM2 (AVRCP): Applying InputClass "libinput keyboard catchall"
 /usr/libexec/gdm-x-session[1988]: (**) WH-1000XM2 (AVRCP): Applying InputClass "system-keyboard"
 /usr/libexec/gdm-x-session[1988]: (II) Using input driver 'libinput' for 'WH-1000XM2 (AVRCP)'
 /usr/libexec/gdm-x-session[1988]: (II) systemd-logind: got fd for /dev/input/event17 13:81 fd 54 paused 0
 /usr/libexec/gdm-x-session[1988]: (**) WH-1000XM2 (AVRCP): always reports core events
 /usr/libexec/gdm-x-session[1988]: (**) Option "Device" "/dev/input/event17"
 /usr/libexec/gdm-x-session[1988]: (**) Option "_source" "server/udev"
 /usr/libexec/gdm-x-session[1988]: (II) event17 - WH-1000XM2 (AVRCP): is tagged by udev as: Keyboard
 /usr/libexec/gdm-x-session[1988]: (II) event17 - WH-1000XM2 (AVRCP): device is a keyboard
 /usr/libexec/gdm-x-session[1988]: (II) event17 - WH-1000XM2 (AVRCP): device removed
 /usr/libexec/gdm-x-session[1988]: (**) Option "config_info" "udev:/sys/devices/virtual/input/input44/event17"
 /usr/libexec/gdm-x-session[1988]: (II) XINPUT: Adding extended input device "WH-1000XM2 (AVRCP)" (type: KEYBOARD, id 14)
 /usr/libexec/gdm-x-session[1988]: (**) Option "xkb_layout" "se"
 /usr/libexec/gdm-x-session[1988]: (II) event17 - WH-1000XM2 (AVRCP): is tagged by udev as: Keyboard
 /usr/libexec/gdm-x-session[1988]: (II) event17 - WH-1000XM2 (AVRCP): device is a keyboard
 /usr/libexec/gdm-x-session[176974]: The XKEYBOARD keymap compiler (xkbcomp) reports:
 /usr/libexec/gdm-x-session[176974]: > Internal error:   Could not resolve keysym XF86FullScreen
 /usr/libexec/gdm-x-session[176974]: Errors from xkbcomp are not fatal to the X server

Comment 1 Grant 2020-03-19 22:16:58 UTC
Can confirm this is a bug affecting Fedora Silverblue 31.20200319.0.

I try to connect to a bluetooth speaker, connect successfully, but can only get the "system sounds" (the volume indicator sound) to play. Rhythmbox, Chrome, etc. all refuse to play out of the Bluetooth speaker and only play on the computer's speaker.

pulseaudio 13.99.1-rebootstrapped

Comment 2 redhatbugzilla 2020-03-23 22:17:56 UTC
Can confirm this broke in Wayland sessions as well, with the 13.99.1 pulseaudio update.
Downgrading to 13.0-2 fixes it. Upgrading to the 13.99.1-2 in updates-testing does *not* fix it.

journalctl --user -u pulseaudio contains the following from the bad version:

Mar 23 15:00:45 delyank-fedora-96HJ5Q2 systemd[3147]: Starting Sound Service...
Mar 23 15:00:46 delyank-fedora-96HJ5Q2 systemd[3147]: Started Sound Service.
Mar 23 15:01:21 delyank-fedora-96HJ5Q2 pulseaudio[3163]: W: [pulseaudio] module-loopback.c: Cannot set requested source latency of 66.67 ms, adjusting to 68.54 ms
Mar 23 15:01:35 delyank-fedora-96HJ5Q2 pulseaudio[3163]: W: [pulseaudio] module-bluez5-device.c: Refused to switch profile to a2dp_sink: Not connected
Mar 23 15:01:38 delyank-fedora-96HJ5Q2 pulseaudio[3163]: W: [pulseaudio] module-bluez5-device.c: Refused to switch profile to a2dp_sink: Not connected
Mar 23 15:01:40 delyank-fedora-96HJ5Q2 pulseaudio[3163]: W: [pulseaudio] module-bluez5-device.c: Refused to switch profile to a2dp_sink: Not connected
Mar 23 15:06:07 delyank-fedora-96HJ5Q2 pulseaudio[3163]: W: [pulseaudio] module.c: After module unload, module 'module-null-sink' was still loaded!
Mar 23 15:06:07 delyank-fedora-96HJ5Q2 systemd[3147]: pulseaudio.service: Succeeded.

No such output is present with the good version.

Comment 3 batisteo 2020-04-02 09:25:20 UTC
Problem still here with the recent update for pulseaudio.x86_64 13.99.1-3.fc32

Comment 4 Wim Taymans 2020-04-02 10:05:15 UTC
It might be caused by pipewire taking over bluetooth,  >= pipewire-0.3.2-2.fc32 should have a fix

Comment 5 batisteo 2020-04-02 14:55:02 UTC
I’ve got pipewire-0.3.2-3.fc32

Comment 6 Eido 2020-04-30 15:20:15 UTC
Confirm this bug occurs after upgrading Fedora 31 to Fedora 32.

Same exact actual results specified by @Grant (Comment 1) and issue reporter.

Bluetooth devices:
- UE (Ultimate Ears) ROLL 2
- Samsung Galaxy Buds

Packages installed (potentially related):
- pipewire-0.3.2-3.fc32
- pulseaudio-13.99.1-3.fc32

NO related log errors are output to journalctl.

Comment 7 Eido 2021-02-22 10:56:24 UTC
Additionally to my previous comment (comment 6),

Confirm this bug occurs on Fedora 33 (either Wayland or Xorg).

Same bluetooth devices.

Packages installed (potentially related):
- pipewire-0.3.21-2.fc33
- pulseaudio-14.0-2.fc33

Following the journalctl log below, it looks like the devices is being added as a 
bluetooth keyboard instead of bluetooth earbuds/speaker.

journalctl log:
Feb 22 12:44:27 systemd[1687]: Reached target Bluetooth.
Feb 22 12:44:28 kernel: input: Galaxy Buds (50E2) (AVRCP) as /devices/virtual/input/input26
Feb 22 12:44:28 systemd-logind[876]: Watching system buttons on /dev/input/event24 (Galaxy Buds (50E2) (AVRCP))
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (II) config/udev: Adding input device Galaxy Buds (50E2) (AVRCP) (/dev/input/event24)
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Galaxy Buds (50E2) (AVRCP): Applying InputClass "evdev keyboard catchall"
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Galaxy Buds (50E2) (AVRCP): Applying InputClass "libinput keyboard catchall"
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Galaxy Buds (50E2) (AVRCP): Applying InputClass "system-keyboard"
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (II) Using input driver 'libinput' for 'Galaxy Buds (50E2) (AVRCP)'
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (II) systemd-logind: got fd for /dev/input/event24 13:88 fd 65 paused 0
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Galaxy Buds (50E2) (AVRCP): always reports core events
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Option "Device" "/dev/input/event24"
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Option "_source" "server/udev"
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (II) event24 - Galaxy Buds (50E2) (AVRCP): is tagged by udev as: Keyboard
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (II) event24 - Galaxy Buds (50E2) (AVRCP): device is a keyboard
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (II) event24 - Galaxy Buds (50E2) (AVRCP): device removed
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Option "config_info" "udev:/sys/devices/virtual/input/input26/event24"
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (II) XINPUT: Adding extended input device "Galaxy Buds (50E2) (AVRCP)" (type: KEYBOARD, id 21)
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Option "xkb_layout" "us,il"
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Option "xkb_variant" ","
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (**) Option "xkb_options" "grp:alt_shift_toggle"
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (II) event24 - Galaxy Buds (50E2) (AVRCP): is tagged by udev as: Keyboard
Feb 22 12:44:28 /usr/libexec/gdm-x-session[1730]: (II) event24 - Galaxy Buds (50E2) (AVRCP): device is a keyboard
Feb 22 12:44:28 /usr/libexec/gdm-x-session[2768]: The XKEYBOARD keymap compiler (xkbcomp) reports:
Feb 22 12:44:28 /usr/libexec/gdm-x-session[2768]: > Internal error:   Could not resolve keysym XF86FullScreen
Feb 22 12:44:28 /usr/libexec/gdm-x-session[2768]: Errors from xkbcomp are not fatal to the X server
Feb 22 12:44:31 bluetoothd[781]: /org/bluez/hci0/dev_00_FA_21_1C_50_E2/sep1/fd0: fd(47) ready
Feb 22 12:44:31 rtkit-daemon[798]: Supervising 3 threads of 1 processes of 1 users.
Feb 22 12:44:31 rtkit-daemon[798]: Successfully made thread 2773 of process 1702 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Feb 22 12:44:31 rtkit-daemon[798]: Supervising 4 threads of 1 processes of 1 users.

Comment 8 dc.hart 2021-03-19 21:56:03 UTC
I have nothing in journalctl except 
Mar 19 17:46:16 amphib kernel: Bluetooth: hci0: advertising data len corrected 20 -> 19

That's it. I need this to work! PANDEMIC!!!!

I have a connected device: WF-1000XM3
No sound
Removed pipewire
No sound

I would like to strangle whoever removed device management from pulseaudio settings! Everything USED to work without problems until someone had too much damned time on their hands and fixed what wasn't broken.

5.10.23-200.fc33.x86_64

Comment 9 Fedora Program Management 2021-04-29 17:00:46 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2021-05-25 17:36:29 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.